Skip to main content
POST
/
v1
/
tables
Create Table
curl --request POST \
  --url https://api.retab.com/v1/tables \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'name=<string>' \
  --form 'file=<string>' \
  --form 'column_schema_overrides=<string>'
{
  "tables": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Create a table by uploading a CSV file. Table contents are updated by replacing the whole CSV, not by row, column, or cell mutations.
Python
tables = client.tables.create(name="Carriers", file="./carriers.csv")
TypeScript
const tables = await client.tables.create("Carriers", "./carriers.csv");
Go
tables, err := client.Tables.Create(ctx, &retab.TablesCreateParams{Name: "Carriers", File: "./carriers.csv"})
Java
// Create a table by uploading a CSV file.
cURL
curl https://api.retab.com/v1/tables \
  -H "Api-Key: $RETAB_API_KEY" \
  -F "name=Carriers" \
  -F "file=@./carriers.csv"

Authorizations

Api-Key
string
header
required

Body

multipart/form-data
name
string
required
file
string
required
column_schema_overrides
string | null

Response

Successful Response

tables
WorkflowTable · object[]